processing relies on a copy of the python-yaml module that isn't compatible with python3

2016-08-11 08:49 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23351

Description

Processing currently relies on a copy of the python yaml module that isn't compatible with python3, preventing it from running on a

qt5+python3 environment. This will need addressing prior to the release of QGIS 3.0.

History

#1 - 2016-08-11 08:57 PM - Mathieu Pellerin - nIRV

Note: processing runs fine when switching the PORT_PLUGIN flags to true and the qgis/python/yaml module is replaced by python3-yaml. Nice.

#2 - 2016-08-16 12:40 AM - Mathieu Pellerin - nIRV

Matthias came up with a simple workaround this issue: -DWITH_INTERNAL_YAML=OFF :)

This will have to be set as the default value when QGIS switches to Qt5 + python 3.

#3 - 2016-08-16 12:56 AM - Mathieu Pellerin - nIRV

- Resolution set to fixed/implemented

- Assignee changed from Victor Olaya to Matthias Kuhn

- Status changed from Open to Closed

Closing, thanks Matthias (commit:282f406).
